<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: adjs.php 3309 2005-06-09 11:30:28Z andrew $
*/

// Require the initialisation file
require_once '../../init-delivery.php';

// Required files
require_once MAX_PATH . '/lib/max/other/lib-io.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-db.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-remotehost.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-log.inc.php';
if ($conf['delivery']['acls']) {
    include_once MAX_PATH . '/lib/max/other/lib-limitations.inc.php';
}
require_once MAX_PATH . '/lib/max/other/lib-view-main.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-cache.inc.php';

/*-------------------------------------------------------*/
/* Java-encodes text                                     */
/*-------------------------------------------------------*/

function enjavanate ($str, $limit = 60, $zoneId = 0)
{
    $str   = str_replace("\r", '', $str);
    print "var MAXad_$zoneId = '';\n\n";
    while (strlen($str) > 0) {
        $line = substr ($str, 0, $limit);
        $str  = substr ($str, $limit);
        $line = str_replace('\\', "\\\\", $line);
        $line = str_replace('\'', "\\'", $line);
        $line = str_replace("\r", '', $line);
        $line = str_replace("\n", "\\n", $line);
        $line = str_replace("\t", "\\t", $line);
        $line = str_replace('<', "<'+'", $line);
        print "MAXad_$zoneId += '$line';\n";
    }
    print "\ndocument.write(MAXad_$zoneId);\n";
}

/*-------------------------------------------------------*/
/* Register input variables                              */
/*-------------------------------------------------------*/

phpAds_registerGlobal(
    'bannerid',
    'block',
    'campaignid',
    'context',
    'ct0',
    'exclude',
    'loc',
    'q',
    'referer',
    'source',
    'target',
    'withtext',
    'withText',
    'what',
    'zoneid'
);

/*-------------------------------------------------------*/
/* Main code                                             */
/*-------------------------------------------------------*/

$context = (isset($context)) ? unserialize(base64_decode($context)) : '';
$ct0 = (empty($ct0) || $ct0 == 'undefined') ? '' : $ct0;

if (!isset($source)) {
    $source = '';
}
if (!isset($target)) {
    $target = '';
}
if (isset($withText) && (!isset($withtext))) {
    $withtext = $withText;
}
if (!isset($withtext)) {
    $withtext = '';
}
if (!isset($what)) {
    if (!empty($bannerid)) {
        $what = 'bannerid:'.$bannerid;
    } elseif (!empty($campaignid)) {
        $what = 'campaignid:'.$campaignid;
    } elseif (!empty($zoneid)) {
        $what = 'zone:'.$zoneid;
    } elseif (!empty($q)) {
        $what = $q;
    } else {
        $what = '';
    }
}

// Derive the source parameter
$source = phpAds_deriveSource($source);

if (isset($exclude) && $exclude != '' && $exclude != ',') {
    $exclude = explode (',', $exclude);
    if (count($exclude) > 0) {
        $context = array();
        for ($i = 0; $i < count($exclude); $i++) {
            if ($exclude[$i] != '') {
                $context[] = array ("!=" => $exclude[$i]);
            }
        }
    }
}

// Set real referer
if (isset($referer) && $referer) {
    $HTTP_REFERER = $_SERVER['HTTP_REFERER'] = stripslashes($referer);
}

// Get the banner
$output = view_raw($what, $target, $source, $withtext, $context, true, $ct0, $GLOBALS['loc'], $GLOBALS['referer']);

// Save the context array into a javascript variable
if (is_array($output['context'])) {
    $JScontext = "<script language='JavaScript'>document.context='".base64_encode(serialize($output['context']))."'; </script>";
} else { $JScontext = ''; }

phpAds_flushCookie();

// Show the banner
header("Content-type: application/x-javascript");
enjavanate($output['html'] . $JScontext, 60, (isset($zoneid)) ? $zoneid : 0);


// Block this banner for next invocation
if (isset($block) && $block != '' && $block != '0' && $output['bannerid']) {
    print ("\nif (document.phpAds_used) document.phpAds_used += 'bannerid:".$output['bannerid'].",';\n");
}

// Block this campaign for next invocation
if (isset($blockcampaign) && $blockcampaign != '' && $blockcampaign != '0' && $output['campaignid']) {
    print ("\nif (document.phpAds_used) document.phpAds_used += 'campaignid:".$output['campaignid'].",';\n");
}

// stop benchmarking
stopBenchmark();

?>